[![Material Design for Bootstrap](https://mdbootstrap.com/img/Marketing/free/social/react/mdb-react-free.jpg)](https://mdbootstrap.com/react/)

# Material Design for Bootstrap 4 - React version

Based on the latest **Bootstrap 4** and **React 16**. Absolutely **no** jQuery. **400+** material UI elements, **600+** material icons, **74** CSS animations, SASS files, templates, tutorials and many more. **Free for personal and commercial use**.

Trusted by **400 000+** developers & designers. Used by such a companies like Nike, Samsung, Amazon, Ikea, Sony and NASA.

________

# Most important features:

1. Up-to-date with the latest standards of Bootstrap 4 and all the best it has to offer.

2. Fully responsive

3. Plenty of useful templates

4. Easy installation

5. Easy to use and customize

6. Active community

7. Dedicated support forum

8. Detailed documentation

# Demo:  
**Main demo**: https://mdbootstrap.com/react/components/

# Getting Started
To test, contribute or just see what we did follow few easy steps:
- clone the repository
- cd to the directory with the repository
- run `yarn install` (or `npm install` if you don't use yarn)
- run the app using `yarn start` (or `npm start`)
- enjoy!

# Documentation:

**Huge, detailed documentation avilable online on**: https://mdbootstrap.com/react

# Additional tutorials:

**MDB - Bootstrap tutorial**: https://mdbootstrap.com/bootstrap-tutorial/

**MDB - Wordpress tutorial**: https://mdbootstrap.com/wordpress-tutorial/

# Live Preview

[![Material Design for Bootstrap](https://mdbootstrap.com/img/Mockups/Lightbox/Original/img%20%2888%29.jpg)](https://mdbootstrap.com/react/)
[![Material Design for Bootstrap](https://mdbootstrap.com/img/Mockups/Lightbox/Original/img%20%2876%29.jpg)](https://mdbootstrap.com/react/)
[![Material Design for Bootstrap](https://mdbootstrap.com/img/Mockups/Lightbox/Original/img%20%2873%29.jpg)](https://mdbootstrap.com/react/)
[![Material Design for Bootstrap](https://mdbootstrap.com/img/Mockups/Lightbox/Original/img%20%2874%29.jpg)](https://mdbootstrap.com/react/)
[![Material Design for Bootstrap](https://mdbootstrap.com/img/Mockups/Lightbox/Original/img%20%2881%29.jpg)](https://mdbootstrap.com/react/)
[![Material Design for Bootstrap](https://mdbootstrap.com/img/Mockups/Lightbox/Original/img%20%2875%29.jpg)](https://mdbootstrap.com/react/)

# Highlights:  
**Components**  
Choose **among 400+  predefined components**. Each component is ready to use and fits perfectly with each other like LEGO bricks. Take, combine, enjoy!.  

**Modularity**  
Material Design for Bootstrap comes with both, compiled, ready to use libraries including all features as well as modules for CSS (SASS files) and JS. That allows you to create your custom library including only elements which you really use in your project.   

**10 fresh ready to use templates**  
We are going further and giving to you ready to use templates! Use them as you like, as an inspiration, prototype or final product for your customers.  

**Cross-browser compatibility**  
Chrome, Firefox, IE, Safari, Opera, Microsoft Edge - MDB loves all browsers, all browsers love MDB.  

**Frequent updates**  
MDB becomes better **every month**. We love the project and enhance as much as possible.  

**Technical support**  
We really care about reliability. If you have any questions - do not hesitate to contact us.  

**Active community**  
Our society grows day by day. Visit **our forum** and check how it is to be a part of our family.  

**Flex box**  
MDB fully suppports Flex Box. You can forget about alignment issues.  

**React 16**  
Create smarter and faster React apps with the latest official React release.  

**JSX**  
Use HTML-based syntax for raw JavaScript.

**Useful helpers**  
We are web developers, we really know which issues are the most annoying in our daily work. Helpers included in MDB will solve lot of them and make your life easiers. 

**Reactstrap**  
In our project we included Reactstrap - React Bootstrap 4 library that favors composition and control.

**Detailed documentation:**  
We give you detailed documentation at your disposal. It will help you to implement your ideas easily.  

**Free for personal and commercial use**  
Our license is user friendly. Feel free to use MDB for both private as well as **commercial projects.**  

A big **thank you to all our users** who are working with us to improve the software. We wouldn't be where we are without you.  

# Useful Links:

**jQuery version: https://github.com/mdbootstrap/bootstrap-material-design

**Angular version: https://github.com/mdbootstrap/Angular-Bootstrap-with-Material-Design

**Vue version: https://github.com/mdbootstrap/Vue-Bootstrap-with-Material-Design

Getting started: https://mdbootstrap.com/react/getting-started/  

5 min quick start: https://mdbootstrap.com/mdb-quick-start/  

Material Design + Bootstrap Tutorial: https://mdbootstrap.com/bootstrap-tutorial/  

Material Design + WordPress Tutorial: https://mdbootstrap.com/wordpress-tutorial/  

Freebies: https://mdbootstrap.com/freebies/  

Premium Templates: https://mdbootstrap.com/templates/  


# Social Media:  

Twitter: https://twitter.com/MDBootstrap  

Facebook: https://www.facebook.com/mdbootstrap  

Pinterest: https://pl.pinterest.com/mdbootstrap 

Google+: https://plus.google.com/u/0/b/107863090883699620484/+Mdbootstrap/posts  

Dribbble: https://dribbble.com/mdbootstrap

LinkedIn: https://www.linkedin.com/company/material-design-for-bootstrap

# PRO version:

**Material Design for Bootstrap React PRO**: https://mdbootstrap.com/product/react-bootstrap-pro/  

# Version logs

### MDB 4.1.0

With this update, we've made MDB React even more stable 

#### Fixed:  

- Modals for React 16
- Import for create-react-app
- Popovers

#### Added:  

- Video Carousel

#### Improved:  

- Updated to React 16
- Updated to Bootstrap 4 beta-2
- Updated to MDB 4.4.3
- Build tools

## Something Missing?
If you still have some questions do not hesitate to ask us. Open an issue or [visit our Slack](https://mdbbetatest.slack.com)

# Visit our website: https://mdbootstrap.com/
